bric_queued - Bricolage jobs queue daemon bric_queud [options] bric_queued is normally run as a daemon which will poll a Bricolage jobs queue and execute any jobs found there with a sched_time in the past, but which have not been executed. Normally, (see "-s") all of the jobs found in a given poll are executed in order of schedule_time, with the Distribtion and Publish jobs being handled by seperate sub-processes, since distribution is normally an order of magnitude faster than publishing. In cases where the program finds no jobs in the queue it will wait a specified amount of time (defaulting to 30 seconds) and then re-poll. Note: Unlike bric_dist_mon, this is a stand-alone program which does not make http requests to the running bricolage-apache-mod-perl server.

-p <file> | --pid <file>
Specifies a pid file.

-d <number> | --delay <number>
Specifies a delay in seconds after finding the queue empty.

-s [type] | --single [type]
Run a single job of "type" where "type" is one of 'pub' or 'dist'. Implies -verbose.

-v | --verbose
Turn on verbose mode for debugging.

-l <file> | --log <file>
Specifies a file to send debugging information to. There is no need to use this for normal operation since Bricolage stores this information in it's database in much greater detail.

-h | --help
Print usage information and exit.

BRICOLAGE_ROOT
Set this as usual to indicate where on your system the Bricolage libraries are stored.

Perl Modules

Version
$LastChangedRevision$

Date
$LastChangedDate: 2004-06-09 09:13:53 -0700 (Wed, 09 Jun 2004) $ Mark Jaroski <jaroskim@who.int>